#include "MessageTag.h"

MessageTag::MessageTag()
{

}

MessageTag::MessageTag(const std::string &topic, const std::string &messageType) :
    _topic(topic)
  , _messagType(messageType)
{

}

const std::string &MessageTag::topic() const
{
    return _topic;
}

const std::string &MessageTag::messageType() const
{
    return _messagType;
}

std::string &MessageTag::topic()
{
    return _topic;
}

std::string &MessageTag::messageType()
{
    return _messagType;
}

void MessageTag::setTopic(const std::string &topic)
{
    _topic = topic;
}

void MessageTag::setMessageType(const std::string &messageType)
{
    _messagType = messageType;
}
